mysql> SELECT COUNT(*),winner,season FROM MATCHES where result != 'no result'  GROUP BY winner,season ORDER BY season;


SELECT SUM(d.total_runs),d.bowler,COUNT(DISTINCT d.over) from MATCHES AS m , DELIVERIES AS d WHERE m.id = d.match_id and m.season=2015 GROUP BY d.bowler;

SELECT COUNT(venue),venue from MATCHES GROUP BY venue; 

SELECT COUNT(*) AS cnt,season FROM MATCHES GROUP BY season ORDER BY season;


mysql> SELECT SUM(d.extra_runs),d.bowling_team from MATCHES as m,DELIVERIES AS d where m.id=d.match_id AND m.season=2016 GROUP BY d.bowling_team;

